package com.archeus;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * <p>
 * Retine informatii despre un cuvant formatat
 * </p>
 * 
 * @author ionut
 * @since Feb 24, 2007 12:56:39 PM
 */
public class FormatedWord {

	private TextAttr fmt = new TextAttr();

	private String text;

	private int level;

	public FormatedWord(String text, TextAttr format, int level) {
		this(text, format.isBold(), format.isItalic(), level);
	}

	public FormatedWord(String text, boolean bold, boolean italic, int level) {
		super();
		this.text = text;
		this.fmt.setBold(bold);
		this.fmt.setItalic(italic);
		this.level = level;
	}

	/**
	 * <p>
	 * Nivelul pe care se afla in html
	 * </p>
	 * 
	 * @author ionut
	 * @since Feb 24, 2007 12:33:57 PM
	 * @return
	 */
	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}

	public boolean isBold() {
		return fmt.isBold();
	}

	public void setBold(boolean bold) {
		this.fmt.setBold(bold);
	}

	public boolean isItalic() {
		return fmt.isItalic();
	}

	public void setItalic(boolean italic) {
		this.fmt.setItalic(italic);
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	@Override
	public String toString() {
		String res = text;
		if (isBold())
			res = "<b>" + res + "</b>";
		if (isItalic())
			res = "<i>" + res + "</i>";
		return res;
	}

	public void saveXML(Document doc, Element dest) {
		Element e = doc.createElementNS(null, "word");
		e.setAttributeNS(null, "bold", String.valueOf(isBold()));
		e.setAttributeNS(null, "italic", String.valueOf(isItalic()));
		e.setAttributeNS(null, "level", String.valueOf(level));
		e.appendChild(doc.createTextNode(getText()));
		dest.appendChild(e);
	}

	public String asString() {
		return getText();
	}
}
