package com.archeus.dex.xml.test;

import com.archeus.WordList;

public class TestDexToXMLIndirect extends TestDexToXMLGeneric {

	public static String fileName = "C:\\Cache\\java\\WorkspaceTraducator\\DEXToXML\\data\\indirect.html";

	public void testHead() {
		loadFile(fileName);
		if (res.size() < 1)
			fail("size<1");
		WordList w = res.get(0);
		assertEquals(w.getName(), WordList.Type.HEAD);
		assertEquals(w.getList().toString(), "INDIRECT,"); 
		assertEquals(w.getList().size(), 2); 
	}

	public void testFeminim() {
		loadFile(fileName);
		if (res.size() < 2)
			fail("size<2");
		WordList w = res.get(1);
		assertEquals(w.getName(), WordList.Type.FEMININE);
		assertEquals(w.getList().toString(), " -A,"); // ??? diacritice???
	}
	
	public void testPlural() {
		loadFile(fileName);
		if (res.size() < 3)
			fail("size<3");
		WordList w = res.get(2);
		assertEquals(w.getName(), WordList.Type.PLURAL_GROUP);
		assertEquals(w.getChildren().size(), 2);
		WordList pl = w.getChildren().get(0); 
		assertEquals(pl.getType(), WordList.Type.PLURAL);
		assertEquals(pl.getList().toString(), "  indirecti, -te,");
	}

	public void testPOS() {
		loadFile(fileName);
		if (res.size() < 3)
			fail("size<3");
		WordList w = res.get(2);
		assertEquals(w.getName(), WordList.Type.PLURAL_GROUP);
		assertEquals(w.getChildren().size(), 2);
		WordList pos = w.getChildren().get(1); 
		assertEquals(pos.getName(), WordList.Type.POS);
		assertEquals(pos.getList().toString(), " adj. ");
	}

	public void testSens() {
		loadFile(fileName);
		if (res.size() < 4)
			fail("size<4: " + res.size());
		WordList w = res.get(3);
		assertEquals(w.getType(), WordList.Type.SENSES);
		assertEquals(w.getName(), WordList.Type.SENSES);
		assertEquals(w.getList().toString(), "");
		if (w.getChildren().size() != 4)
			fail("nr sensuri != 4: " + w.getChildren().size());
		WordList sens;
		// 1
		sens = w.getChildren().get(0);
		assertEquals(sens.getType(), WordList.Type.SENSE);
		assertEquals(sens.getName(), "1");
		
		// 2
		sens = w.getChildren().get(1);
		assertEquals(sens.getType(), WordList.Type.SENSE);
		assertEquals(sens.getName(), "2");
		
		//3
		sens = w.getChildren().get(2);
		assertEquals(sens.getType(), WordList.Type.SENSE);
		assertEquals(sens.getName(), "3");
		
		//4
		sens = w.getChildren().get(3);
		assertEquals(sens.getType(), WordList.Type.SENSE);
		assertEquals(sens.getName(), "4");
		
		
		
	}

	public void testProvenienta() {
		loadFile(fileName);
		if (res.size() != 5)
			fail("size!=5: " + res.size());
		WordList w = res.get(4);
		assertEquals(w.getType(), WordList.Type.PROVENANCE);
		assertTrue(w.getList().toString().startsWith("- Din fr. indirect"));
	}
	
}
