package com.archeus.dex.xml.test;

import com.archeus.WordList;

public class TestDexToXMLMerge extends TestDexToXMLGeneric {

	public static String fileName = "C:\\Cache\\java\\WorkspaceTraducator\\DEXToXML\\data\\merge.html"; 
		
	public void testHeadMerge() {
		loadFile(fileName);
		if (res.size() < 1)
			fail("size<1");
		WordList w = res.get(0);
		assertEquals(w.getName(), WordList.Type.HEAD);
		if (w.getList().size() < 1)
			fail("w.size<1");
		assertEquals(w.getList().toString(), "MERGE,");		
	}

	public void testPluralMerge() {
		loadFile(fileName);
		if (res.size() < 2)
			fail("size<2");
		WordList w = res.get(1);
		assertEquals(w.getName(), WordList.Type.PLURAL_GROUP);
		assertEquals(w.getChildren().size(), 2);
		WordList pl =  w.getChildren().get(0);
		assertEquals(pl.getType(), WordList.Type.PLURAL);
		assertEquals(pl.getList().toString(), "merg,");
	}

	public void testPOSMerge() {
		loadFile(fileName);
		if (res.size() < 2)
			fail("size<2");
		WordList w = res.get(1);
		assertEquals(w.getName(), WordList.Type.PLURAL_GROUP);
		assertEquals(w.getChildren().size(), 2);
		WordList pos =  w.getChildren().get(1);
		assertEquals(pos.getType(), WordList.Type.POS);
		assertEquals(pos.getList().toString(), " vb. III. Intranz. ");
	}

	public void testPOSSensuri() {
		loadFile(fileName);
		if (res.size() < 3)
			fail("size<3: " + res.size());
		WordList w = res.get(2);
		assertEquals(w.getName(), WordList.Type.SENSES);
		if (w.getChildren().size() != 6)
			fail("nr def != 6: " + w.getChildren().size());
		// 1
		WordList d = w.getChildren().get(0);
		assertEquals(d.getType(), WordList.Type.SENSE);
		assertEquals(d.getName(), "I");
		assertEquals(d.getChildren().size(), 3);
		// 2
		d = w.getChildren().get(1);
		assertEquals(d.getType(), WordList.Type.SENSE);
		assertEquals(d.getName(), "II");
		assertEquals(d.getChildren().size(), 2);
		// 3
		d = w.getChildren().get(2);
		assertEquals(d.getType(), WordList.Type.SENSE);
		assertEquals(d.getName(), "III");
		assertEquals(d.getChildren().size(), 3);
		// 4
		d = w.getChildren().get(3);
		assertEquals(d.getType(), WordList.Type.SENSE);
		assertEquals(d.getName(), "IV");
		assertEquals(d.getChildren().size(), 3);
		// 5
		d = w.getChildren().get(4);
		assertEquals(d.getType(), WordList.Type.SENSE);
		assertEquals(d.getName(), "V");
		assertEquals(d.getChildren().size(), 4);
		// 6
		d = w.getChildren().get(5);
		assertEquals(d.getType(), WordList.Type.SENSE);
		assertEquals(d.getName(), "VI");
		assertEquals(d.getChildren().size(), 0);
		String s = d.getList().toString().substring(1, 45);
		assertEquals(s, "A umbla îmbracat într-un anumit fel; a purta");
	}


}
